package net.northking.cctp.element.internal.protocol;

/**
 * Response
 *
 * @author fengxiang.zhang
 * @date 2022/4/13
 * @since 1.0
 */
public interface ResponseData {

    /**
     * 获取响应头文本
     */
    String getResponseHeaders();

    /**
     * 获取响应体文本
     */
    String getResponseBody();

    /**
     * 响应结果转换JSON
     */
    Object toJson();

    /**
     * 获取响应时间毫秒
     */
    Long getResponseTime();

}
